Skip to content
Ask AI

DAI-Netconf

YANG Pathget/get-configedit-configrpc
/daiYmerge, replace, create, delete—
/dai/interfaces/{name}Ymerge, replace, create, delete—

This chapter provides examples on how to use Netconf to manage DAI configurations on AsterNOS devices.

Request example to get all DAI configurations via get-config with subtree filter.

<filter type="subtree">
<top>
<dai/>
</top>
</filter>

Response example

<data xmlns="urn:ietf:params:xml:ns:netconf:base:1.0">
<top>
<dai>
<interfaces>
<interface>
<name>Ethernet1</name>
<enable>true</enable>
</interface>
<interface>
<name>Vlan100</name>
<enable>true</enable>
<trusted-interfaces>Ethernet1</trusted-interfaces>
<trusted-interfaces>Ethernet2</trusted-interfaces>
</interface>
</interfaces>
</dai>
</top>
</data>

‘enable’ and ‘trust-enable’ cannot be configured as true at the same time

Request example to set DAI configuration of interface to enabled via edit-config.

<config>
<top>
<dai>
<interfaces>
<interface>
<name>Ethernet1</name>
<enable>true</enable>
</interface>
<interface>
<name>Vlan100</name>
<enable>true</enable>
<trusted-interfaces>Ethernet2</trusted-interfaces>
<trusted-interfaces>Ethernet3</trusted-interfaces>
</interface>
</interfaces>
</dai>
</top>
</config>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:bb24faf4-2dba-4801-bff1-1442572b985f">
<ok/>
</rpc-reply>

Request example to set DAI configuration of interface to trust-enabled via edit-config.

<config>
<top>
<dai>
<interfaces>
<interface>
<name>Ethernet1</name>
<trust-enable>true</trust-enable>
</interface>
</interfaces>
</dai>
</top>
</config>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:fcc408de-478d-41d7-b7c0-04aa28e5b649">
<ok/>
</rpc-reply>

Request example to delete DAI configuration of interface via edit-config.

<config>
<top>
<dai>
<interfaces>
<interface operation="delete">
<name>Ethernet1</name>
</interface>
</interfaces>
</dai>
</top>
</config>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:8e4348a5-1175-44f1-b104-3ea41dab237b">
<ok/>
</rpc-reply>

Tree Diagram

module: asternos-dai
+--rw dai
+--rw interfaces
+--rw interface* [name]
+--rw name union
+--rw enable? boolean
+--rw trust-enable? boolean
+--rw trusted-interfaces* cmn:ethernet-port-name

Table of Properties

NameRequiredType/RangeDescription
daiMPath-only node, has no configurable value.
Container for DAI configurations.
interfacesMPath-only node, has no configurable value.
interfaceMPath-only node, has no configurable value.
Configure DAI interfaces based on VLAN or PORT.

Note: ‘enable’ and ‘trust-enable’ cannot be configured as true at the same time
nameOEthernet nameName of the interface.
enableO”true"
"false”
Enable or disable the configuration for interface (Ethernet or VLAN).
trust-enableO”true"
"false”
Enable or disable the trust for ethernet interface.

Only valid for ethernet interface, not VLAN interface.

Suitable for configuration scenarios with multiple VLANs on the interface.

When configured as true, trust any VLAN on the interface
trusted-interfacesOcmn:ethernet-port-nameList of trusted ethernet port or sub-ethernet interfaces for VLAN.

Only valid for VLAN interface.

Tree Diagram

module: asternos-dai
+--rw dai
+--rw interfaces
+--rw interface* [name]
+--rw name union
+--rw enable? boolean
+--rw trust-enable? boolean
+--rw trusted-interfaces* cmn:ethernet-port-name

Table of Properties

NameRequiredType/RangeDescription
interfacesMPath-only node, has no configurable value.
interfaceMPath-only node, has no configurable value.
Configure DAI interfaces based on VLAN or PORT.

Note: ‘enable’ and ‘trust-enable’ cannot be configured as true at the same time
nameOEthernet nameName of the interface.
enableO”true"
"false”
Enable or disable the configuration for interface (Ethernet or VLAN).
trust-enableO”true"
"false”
Enable or disable the trust for ethernet interface.

Only valid for ethernet interface, not VLAN interface.

Suitable for configuration scenarios with multiple VLANs on the interface.

When configured as true, trust any VLAN on the interface
trusted-interfacesOcmn:ethernet-port-nameList of trusted ethernet port or sub-ethernet interfaces for VLAN.

Only valid for VLAN interface.